/* width */
::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #ddd;
  border-radius: 3px;
}

.hello-title {
  margin: 0;
}

header {
  display: flex !important;
  justify-content: space-between;
  width: 100%;
  padding: 0.5rem 1rem;
}

header .social-networks {
  display: flex;
  gap: 10px;
}

header .social-networks a {
  padding: 0.5rem;
  border-radius: 0.5rem;
  justify-content: center;
  background-color: #f6f7f8;
  display: flex;
  align-items: center;
  transition: all 0.2s ease-in-out;
  width: 45px;
  height: 45px;
}

header .social-networks a#nav-burger {
  display: none;
}

header .social-networks a img {
  filter: invert(17%) sepia(6%) saturate(977%) hue-rotate(221deg) brightness(98%) contrast(99%);
}

header .social-networks a:hover {
  transform: translateY(5px);
}

.view-wrapper {
  display: flex;
  height: 100vh;
  width: 100vw;
  user-select: none;
}

.view-wrapper main {
  flex: 1;
  display: flex;
  flex-direction: column;
  width: 100%;
  overflow-y: auto;
}

.sidebar-navigation-desktop {
  display: flex;
  flex-direction: column;
  height: 100%;
  min-width: 12vw;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
}

.sidebar-navigation-desktop > div:first-child {
  display: flex;
  justify-content: center;
  padding: 2rem 1rem 1rem 1rem;
}

nav hr {
  width: 80%;
  margin-left: 10%;
}

.nav-header {
  display: flex;
  align-items: center;
  gap: 10px;
  margin: 10px;
  padding: 0.5rem 0.8rem 0.5rem 0.8rem;
  border-radius: 0.6rem;
  margin-bottom: 1rem;
  background-color: #f6f7f8;
}

.rounded-header-card {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background-color: white;
  border-radius: 50%;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
}

.nav-header h3 {
  margin: 0;
  font-size: 0.9rem;
  font-weight: 600;
}
.nav-header p {
  margin: 0;
  font-size: 0.8rem;
  font-weight: 400;
}
.nav-header span {
  margin-left: auto;
}
.nav-header img {
  filter: invert(11%) sepia(10%) saturate(981%) hue-rotate(221deg) brightness(95%) contrast(84%);
}

ul.navigation-links {
  flex-grow: 1;
  padding: 0;
  margin: 0;
  overflow: auto;
}

.notification-number {
  margin-left: auto;
  background-color: #077187;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 0.8rem;
  font-weight: 400;
}

ul.navigation-links li:last-child {
  position: relative;
}

.nav-news:hover {
  transform: rotate(2deg);
}

.nav-news {
  background: linear-gradient(to right, #2d2a32, #2a2f38);
  position: absolute;
  top: 0;
  left: 0;
  font-family: "Poppins", sans-serif;
  list-style: none;
  margin: 10px;
  padding: 0.9rem;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 10px;
  transition: all 0.2s ease-in-out;
  border-radius: 0.6rem;
}

.nav-news h3 {
  font-size: 1rem;
  font-weight: 600;
  color: white;
  margin: 0;
}

.nav-news p {
  color: white;
  font-weight: 400;
  font-size: 0.8rem;
  text-justify: auto;
  margin: 0;
}

ul.navigation-links li a {
  text-decoration: none;
  display: flex;
  align-items: center;
  color: #b3b3b3;
  font-weight: 500;
  font-family: "Poppins", sans-serif;
  flex-wrap: wrap;
}

ul.navigation-links li a:active,
ul.navigation-links li a:hover,
ul.navigation-links li a:focus {
  color: #b3b3b3;
}

ul.navigation-links li:not(:last-child) {
  list-style: none;
  margin: 10px;
  padding: 0.5rem 0.8rem 0.5rem 0.8rem;
  border-radius: 0.6rem;
  transition: all 0.2s ease-in-out;
}

ul.navigation-links li:not(:last-child):hover {
  transform: translateX(7px);
  background-color: #f5fcfd;
}

ul.navigation-links li:not(:last-child) img {
  margin-right: 10px;
  filter: invert(75%) sepia(0%) saturate(0%) hue-rotate(164deg) brightness(98%) contrast(85%);
}

.sidebar-navigation-desktop > div:last-child {
  margin-top: auto;
  flex-shrink: 0;
}

.sidebar-navigation-desktop > div:last-child hr {
  margin-top: 10px;
}

.sidebar-navigation-desktop > div:last-child a {
  font-family: "Poppins", sans-serif;
  list-style: none;
  font-weight: 500;
  margin: 10px;
  padding: 0.5rem 0.8rem 0.5rem 0.8rem;
  display: flex;
  align-items: center;
  gap: 10px;
  color: #b3b3b3;
  transition: all 0.2s ease-in-out;
  border-radius: 0.6rem;
  text-decoration: none;
}

.sidebar-navigation-desktop > div:last-child a:hover {
  background-color: #f5fcfd;
}

.sidebar-navigation-desktop > div:last-child a img {
  transition: all 0.3s ease-in-out;
  filter: invert(75%) sepia(0%) saturate(0%) hue-rotate(164deg) brightness(98%) contrast(85%);
}

.sidebar-navigation-desktop > div:last-child a:hover img {
  transform: rotate(360deg);
}

ul.navigation-links li a.router-link-active {
  color: #077187;
}

ul.navigation-links li a.router-link-active img {
  filter: invert(34%) sepia(12%) saturate(6502%) hue-rotate(156deg) brightness(90%) contrast(95%);
}

.dashboard-body-wrapper {
  display: flex;
  flex-direction: column;
  overflow: auto;
  flex: 1;
}

.dashboard-body-wrapper > p {
  padding: 1rem 1rem 1rem 2rem;
  font-size: 2rem;
  font-weight: 300;
}

.dashboard-body-wrapper > p > strong {
  font-weight: 600;
}

.dashboard-sections-wrapper {
  display: flex;
  flex: 1;
}

.dashboard-score-position-league-wrapper {
  display: flex;
  flex: 2;
  align-items: center;
}

.dashboard-score-dayscores-position-league-wrapper,
.dashboard-score-position-wrapper {
  display: flex;
  flex-direction: column;
  flex: 2;
}

.dashboard-score-position-wrapper,
.dashboard-league {
  height: 100%;
}

.dashboard-missions {
  flex: 1;
  position: relative;
  height: 100%;
  display: flex;
  justify-content: center;
}

.dashboard-missions,
.dashboard-league,
nav.sidebar-navigation-desktop {
  display: none;
}

.dashboard-league {
  display: none;
  flex: 2;
}

.dashboard-dayscores {
  position: relative;
  height: 100%;
}

.scroll-x {
  position: absolute;
  top: 0;
  left: 0;
  max-width: 100%;
  scroll-snap-type: x mandatory;
  display: flex;
  flex: 1;
}

.scroll-x ul {
  display: flex;
  flex-flow: row nowrap;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  padding: 1rem 0 1rem 0;
  margin: 0;
}

.scroll-x ul li {
  list-style: none;
  scroll-snap-align: start;
  display: inline-flex;
  align-items: center;
  padding: 0 0 0 20px;
  margin: 0;
}
.scroll-x ul li:last-child {
  padding-right: 20px;
}

.scroll-x ul li > div:hover {
  box-shadow: 0 5px 15px rgb(0 0 0 / 18%);
  transform: translateY(-5px);
}

.dashboard-dayscores ul li > div {
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 0.6rem 1rem 0.6rem 1rem;
  position: relative;
  box-sizing: border-box;
  transition: all 0.2s ease-in-out;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.dayscore-date {
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 0.6rem 1rem 0.6rem 1rem;
  box-sizing: border-box;
  transition: all 0.2s ease-in-out;
  display: flex;
  align-items: center;
}

.dashboard-dayscores ul li:nth-of-type(2n) .dayscore-date {
  background: linear-gradient(to right, #2d2a32, #19171b);
}

.dashboard-dayscores ul li:nth-of-type(2n + 1) .dayscore-date {
  background: linear-gradient(to right, #2ed197, #1eb681);
}

.dayscore-date > span {
  margin-right: 0.7rem;
}

.dayscore-date > p {
  color: #fff;
  margin: 0;
  font-size: 0.9rem;
}

.dayscore h3 {
  margin: 0.7rem 0 0 0;
  font-size: 2.2rem;
  font-weight: 700;
}

.dayscore h3 + p {
  margin: 0 0 1rem 0;
  font-weight: 400;
  color: #686e7e;
}

.score-wrapper {
  margin: 1rem;
  display: flex;
  justify-content: left;
}

.score-card {
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 1rem 1rem 1rem 2rem;
  position: relative;
  transition: all 0.2s ease-in-out;
  width: 100%;
}

.score-card > h3 {
  font-size: 2.4rem;
  font-weight: 700;
  margin: 1rem 0 0 0;
  max-width: calc(100% - 6.5rem);
}

.score-card > h3 + p {
  font-size: 1.2rem;
  font-weight: 400;
  color: #686e7e;
  margin-top: -10px;
}

.score-card ul {
  padding-right: 2rem;
  padding-left: 0;
}

.score-card ul li {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: 1rem;
}
.score-card ul li span {
  font-weight: 300;
  color: #686e7e;
}

.score-list-item-primary {
  color: #2ed197;
}

.score-list-item-blue {
  color: #077187;
}

.score-list-item-red {
  color: #670787;
}

.score-list-item-orange {
  color: #ff7416;
}

.score-addons {
  position: absolute;
  top: 1rem;
  right: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  gap: 10px;
}

.score-addon {
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 0.4rem 0.8rem 0.4rem 0.8rem;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  color: #2d2a32;
}

.score-addon.play {
  background: #2ed197;
  color: white;
}
.score-addon.play:hover {
  box-shadow: 0 5px 15px rgb(0 0 0 / 18%);
  cursor: pointer;
}

.positions-wrapper {
  margin: 1rem;
}

.positions-wrapper ul {
  list-style: none;
  display: flex;
  justify-content: space-evenly;
  align-items: top;
  margin: 0;
  padding: 0;
  position: relative;
}

.positions-wrapper ul:before {
  content: "";
  width: 100%;
  height: 3px;
  background-color: #e9e9e9;
  position: absolute;
  border-radius: 3px;
  top: 25%;
  left: 0;
}

.positions-wrapper ul li:nth-of-type(2n) {
  font-weight: 700;
  font-size: 0.8rem;
}

.position-number-minus {
  color: #2ed197;
}

.position-number-plus {
  color: #ff7416;
}

li.position {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

li.position p {
  margin: 0;
}

li.position .position-avatar {
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  position: relative;
  box-sizing: border-box;
  transition: all 0.2s ease-in-out;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
}

li.position .position-avatar:hover {
  box-shadow: 0 5px 15px rgb(0 0 0 / 18%);
  transform: translateY(-5px);
}

li.position .position-avatar + p {
  font-size: 1rem;
  font-weight: 700;
  padding: 0.4rem 0 0 0;
}

.league-card {
  margin: 1rem;
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 1rem 1rem 3rem 2rem;
  position: relative;
  transition: all 0.2s ease-in-out;
  width: 100%;
  display: flex;
  align-items: center;
}

.league-card > div {
  flex: 3;
}

.league-card > div > img {
  margin: 3rem 0.5rem 3rem 0.5rem;
}

.league-card ul {
  flex: 1;
  margin: 0;
  padding: 0;
  list-style: none;
  display: none;
}

.league-card ul li {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.league-card ul li img {
  transition: all 0.3s ease-in-out;
}

.league-card ul li img:hover {
  transform: translateX(-10px);
}

.league-numbers {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.league-numbers div {
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 1.5rem 2rem 1.5rem 2rem;
  position: relative;
  transition: all 0.2s ease-in-out;
  text-align: center;
  min-width: 150px;
}

.league-numbers div h3 {
  font-size: 2.2rem;
  font-weight: 700;
  margin: 0;
}

.league-numbers div h3 + p {
  font-weight: 400;
  color: #686e7e;
  margin: 0;
}

#league-numbers-players:after {
  content: "🏃";
  position: absolute;
  top: 10px;
  right: 10px;
}

#league-numbers-position:after {
  content: "🏅";
  position: absolute;
  top: 10px;
  right: 10px;
}

header .user-data {
  font-family: "Poppins", sans-serif;
  display: flex;
  align-items: center;
  padding: 0.5rem 1rem 0.5rem 1rem;
  border-radius: 0.5rem;
  background: linear-gradient(to right, #2d2a32, #2a2f38);
  cursor: pointer;
}

header .user-name {
  font-size: 1.1rem;
  font-weight: 400;
  margin: 0 10px 0 0;
  color: white;
}

.rounded-avatar-card {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 35px;
  height: 35px;
  background-color: #f6f7f8;
  border-radius: 0.4rem;
}

.rounded-avatar-card img {
  width: 20px;
  height: 20px;
}

.missions-card {
  margin: 1rem;
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  padding: 2rem;
  position: relative;
  transition: all 0.2s ease-in-out;
  display: flex;
  flex-direction: column;
  flex: 1;
}

.missions-card > img {
  margin: 1rem 1rem 4rem 1rem;
}

.missions-scroll-y {
  flex: 1;
  position: relative;
  height: 100%;
  overflow: auto;
}

.missions-card ul {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0 10px 0 0;
  width: 100%;
  height: 50px;
  display: flex;
  flex-direction: column;
}

ul li.mission {
  border-radius: 0.7em;
  min-height: 60px;
  height: 80px;
  display: flex;
  align-items: center;
  list-style: none;
  background-color: #f6f7f8;
  position: relative;
  transition: all 0.3s ease-in-out;
  margin-bottom: 20px;
}

.mission {
  display: flex;
  align-items: center;
}

.mission-button-wrapper button {
  margin-left: auto;
  font-size: 0.7rem;
  margin-bottom: 0;
  padding: 0.7rem 1rem;
  z-index: 10;
  background: linear-gradient(to right, #ffb5a5, #de7588);
}

.mission-progress {
  content: "";
  position: absolute;
  border-radius: 0.7em;
  top: 0;
  left: 0;
  height: 100%;
  background: linear-gradient(to left, #ffbbac42, #de758842);
}

.mission-icon {
  width: 40px;
  height: 40px;
  background: #fff;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  border-radius: 0.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 1rem;
  z-index: 10;
}

.mission-text-wrapper {
  flex: 1;
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  margin-left: 10px;
  z-index: 10;
}

.mission-text-wrapper > div {
  flex: 1;
  max-width: calc(100% - 12ch);
}

.mission-text-wrapper > div p:first-child {
  font-size: 0.9rem;
  font-weight: 600;
  margin: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.mission-text-wrapper > div p:last-child {
  font-size: 0.8rem;
  margin: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.mission-text-wrapper > p {
  margin-left: auto;
  margin-right: 1rem;
}

.header-logo {
  width: 45px;
  height: 45px;
  justify-content: center;
  align-items: center;
  display: none;
}

@media screen and (min-width: 1601px) {
  /* Big desktop */
  .dashboard-missions,
  .dashboard-league {
    display: flex;
  }
  nav.sidebar-navigation-desktop {
    display: flex;
  }
  .score-card > h3 {
    font-size: 2.8rem;
  }

  .score-card > h3 + p {
    font-size: 1.4rem;
  }
  .score-card ul li {
    font-size: 1.2rem;
  }
  .league-card ul {
    display: block;
  }
}

@media screen and (min-width: 1201px) and (max-width: 1600px) {
  /* Desktop only */
  .dashboard-league {
    display: flex;
  }
  nav.sidebar-navigation-desktop {
    display: flex;
  }
  .score-card > h3 {
    font-size: 2.8rem;
  }

  .score-card > h3 + p {
    font-size: 1.4rem;
  }
  .score-card ul li {
    font-size: 1.2rem;
  }
  .league-card ul {
    display: block;
  }
}

@media screen and (min-width: 961px) and (max-width: 1200px) {
  /* Small desktop only */
  .dashboard-league {
    display: flex;
  }
  nav.sidebar-navigation-desktop {
    display: flex;
  }
  .score-card > h3 {
    font-size: 2.8rem;
  }

  .score-card > h3 + p {
    font-size: 1.4rem;
  }
  .score-card ul li {
    font-size: 1.2rem;
  }
}

@media screen and (min-width: 641px) and (max-width: 960px) {
  /* Tablets only */
  .dashboard-league {
    display: flex;
  }
  .scroll-x ul {
    margin: 0 0 7vh 0;
  }
  header .social-networks a:not(#nav-burger) {
    display: none;
  }
  header .social-networks a#nav-burger {
    display: flex;
    color: #2d2a32;
  }
  .header-logo {
    display: flex;
  }
  header .user-data {
    display: none;
  }
}

@media screen and (min-width: 0px) and (max-width: 640px) {
  /* Smartphone only */
  .dashboard-score-dayscores-position-league-wrapper {
    margin: 0;
  }
  .scroll-x ul {
    margin: 0 0 7vh 0;
  }
  header .social-networks a:not(#nav-burger) {
    display: none;
  }
  header .social-networks a#nav-burger {
    display: flex;
    color: #2d2a32;
  }
  .header-logo {
    display: flex;
  }
  header .user-data {
    display: none;
  }
  .mission-icon {
    display: none;
  }
}
